Bug 1122562 - No documentation around JGroups settings
Summary: No documentation around JGroups settings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: GA
: 6.4.0
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 14:06 UTC by John Osborne
Modified: 2014-11-18 23:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 23:33:56 UTC
Type: Bug


Attachments (Terms of Use)

Description John Osborne 2014-07-23 14:06:29 UTC
There really is not any documentation for JDG around the plethora of JGroups settings.  If you download the quickstarts the comments just say "do not use in production".  Yet there really is not any guidance on what the values should be in production?

Comment 5 Misha H. Ali 2014-07-28 06:03:03 UTC
Checked with team about which JGroups values we do support. According to Martin, there shouldn't be any we don't support when talking about attributes of protocols.

However, for the protocols themselves, we don't support AUTH (off the top of his head). Drafting a list of protocols.

The team is talking about recommended values for JGroups attributes. Docs will be cc'd into the conversation once they arrive on agreement about some recommended values to share in docs.

Comment 19 Misha H. Ali 2014-09-05 06:14:07 UTC
This is no longer included for async docs release for 6.3.0 so I've made the following changes to revert it back to what it was before:

1. Commented out appendix UDP and TCP topics.
2. Removed links from About JGroups Topic
3. Removed support table from JGroups table

Comment 25 Radim Vansa 2014-11-10 12:41:26 UTC
For both UDP and TCP:
bind_addr=Null/localhost  -> any non-loopback/set address on specific interface
bind_port=0/52000 -> any free port/set specific port
mcast_port=7600/45688 -> 7600/Same as default
thread_pool.queue_max_size=500/None, thread pool should be disabled -> 500/None, queue should be disabled
oob_thread_pool.max_threads=101/101 or higher based on the load -> 10/100 or higher based on load
oob_thread_pool.queue_max_size=500/100 -> 500/None, queue should be disabled

TCPPING:
forgotten ${port_range}

MPING:
bind_addr: same as for UDP

Under UDP, VERIFY_SUSPECT is twice.

Generally, when the Recommended value is same as JGroups default, use 'Same as default' instead of writing the value second time.

Then, the user needs some guidance, when to use:
TCP/UDP (link to 26.2)
MERGE2/MERGE3 (I think that we should use MERGE3 only, as MERGE2 was deprecated for JGroups 3.5 with JDG 6.4 is using)
PING/TCPPPING/MPING/S3_PING
FD_SOCK/FD_ALL/FD_HOST (+VERIFY_SUSPECT)

If the guidance is stated elsewhere in the docs (as in the 26.2 case or 27 for S3_PING), provide link there.

Comment 28 Misha H. Ali 2014-11-18 23:33:56 UTC
The fix for this bug is now available on access.redhat.com


Note You need to log in before you can comment on or make changes to this bug.